> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Record

> Delete a record by ID.



## OpenAPI

````yaml delete /api/v1/records/{collection}/{record_id}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/records/{collection}/{record_id}:
    delete:
      tags:
        - records
      summary: Delete Record
      description: Delete a record by ID.
      operationId: delete_record_api_v1_records__collection___record_id__delete
      parameters:
        - name: collection
          in: path
          required: true
          schema:
            type: string
            title: Collection
        - name: record_id
          in: path
          required: true
          schema:
            type: string
            title: Record Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '204':
          description: Record deleted successfully
        '401':
          description: Authentication required
        '403':
          description: Permission denied
        '404':
          description: Record or collection not found
        '409':
          description: Conflict (Foreign Key Restriction)
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````